Ubuntu

Zapping TV viewer crash (will be fixed by updating from Debian)

Reported by zolly on 2006-04-17
48
This bug affects 1 person
Affects Status Importance Assigned to Milestone
zapping (Baltix)
Undecided
Unassigned
zapping (Ubuntu)
Medium
Unassigned

Bug Description

Zapping TV viewer crash when i try: Edit->Channels, or Edit->Preferences

This important bug will be fixed by updating zapping package from Debian testing or unstable.
I think bug should be fixed in 8.04 LTS updates, as zapping isn't usable without Channel editing functionality.
I'm pasting important lines from Debian changelog:

zapping (0.10~cvs6-1) unstable; urgency=low
   * New upstream version (0.10cvs6):
     + No longer crashes in channel and preferences windows (closes: #456837, #344969, #457888).
  [..]
   * 00_automake.patch: drop plugin symlinks, link plugins with additional
     libraries, add -Wl,--as-needed to LDFLAGS, remove -lpthread unless is
     needed, rebuild man pages from source xml files.
   * 01_libzvbi-ftbfs.patch: fix FTBFS with current libzvbi (closes: #456837).
   * 02_ftbfs_simd.patch: fix from bug #424502 (already applied in previous Debian release).
   * 03_desktop.patch: fix problems found by `desktop-file-validate'.
   * 04_schemas.patch: correct zapping.schema file (patch taken from upstream CVS).
  [..]
 -- Robert Luberda <email address hidden> Sat, 09 Feb 2008 23:00:36 +0100

Alexander Kogler (koxman) wrote :

Version: Zapping 0.9.6

Ubuntu Dapper Drake RC1.

First I thought the crash problem only occurred when I use xgl on my screen. But the crash also happens when using default X server (with nvidia propretary driver).

At the moment I can only watch TV when chosing the channel with TVTime (where I can't see the picture, but change the channel) and then start zapping to watch.

Alexander Kogler (koxman) wrote :

I know that finishing dapper has high priority, but the zapping bug is very annoying and it isn't "confirmed" at all at the moment.

Well it still happens. Could anybody try to reproduce ? ..

Alexander Kogler (koxman) wrote :
Download full text (6.7 KiB)

last information addon

From: <>
To: <email address hidden>
X-Mailer: bug-buddy 2.14.0
Subject: Zapping crashes when going to channel menu

Distribution: Ubuntu 6.06 (dapper)
Package: zapping
Severity: blocker
Version: GNOME2.14.1 0.9
Gnome-Distributor: Ubuntu
Synopsis: Zapping crashes when going to channel menu
Bugzilla-Product: zapping
Bugzilla-Component: general
Bugzilla-Version: 0.9
BugBuddy-GnomeVersion: 2.0 (2.14.1)
Description:
Description of the crash:

Steps to reproduce the crash:
1. Open Zapping
2. Go to "edit/channels"
3. crash :)

Expected Results:
Want to edit channels (no crash)

How often does this happen?
Every Time

Additional Information:
happens also when going to "edit/properties"

Debugging Information:

Backtrace was generated from '/usr/bin/zapping'

(no debugging symbols found)
Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1227000128 (LWP 6757)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols fou...

Read more...

Gerard Braad (gbraad) wrote :

This bug can be confirmed by me. Using Dapper Drake and a HVR900.
On Fedora with this same setupit is confirmed to work.

Changed in zapping:
status: Unconfirmed → Confirmed

(zapping:15318): Gtk-CRITICAL **: gtk_widget_set_sensitive: assertion `GTK_IS_WIDGET (widget)' failed

Same problem here....
Hm i know it's bether if i report this as a enchancement but i have no time right now -> It would be nice if you can chose the video device into zapping not only with the --device option.
But it could be that's already intigrated (I can not see the Preference becouse of this problem here)

Thomas Schmid (schmid-thomas) wrote :

compiled cvs version and seems to run, needs furter testing but Edit->Channels, or Edit->Preferences cause no crash.

Lukas Sabota (punkrockguy318) wrote :

I'm running Ubuntu Edgy and i'm experiencing the crash on prefs and channels. However, after compiling todays (12/19/2006) cvs source, I find no problems.

Same problem on Ubuntu Feisty Fawn Beta

Stefan Hlustik (stefanhlustik) wrote :

Ubuntu Feisty Fawn Final

here are some Messages

Right after start:
** (zapping:15800): WARNING **: GConf key '/apps/zapping/plugins/deinterlace/method' is unset and has no default. Schemas incomplete or not installed?

it crashes at Edit -> Channels

(zapping:15800): Gtk-CRITICAL **: gtk_widget_set_sensitive: assertion `GTK_IS_WIDGET (widget)' failed
(zapping:15800): Gtk-CRITICAL **: gtk_widget_set_sensitive: assertion `GTK_IS_WIDGET (widget)' failed
(zapping:15800): Gtk-CRITICAL **: gtk_widget_set_sensitive: assertion `GTK_IS_WIDGET (widget)' failed
(zapping:15800): Gtk-CRITICAL **: gtk_entry_set_text: assertion `GTK_IS_ENTRY (entry)' failed
Segmentation fault (core dumped)

also at Edit -> Peferences

(zapping:15873): Gtk-CRITICAL **: gtk_list_store_get_value: assertion `VALID_ITER (iter, list_store)' failed
(zapping:15873): GLib-GObject-WARNING **: gtype.c:3339: type id `0' is invalid
(zapping:15873): GLib-GObject-WARNING **: can't peek value table for type `<invalid>' which is not currently referenced
Segmentation fault (core dumped)

 going to the Preferences with the button works

erusan (erusan) wrote :

I can confirm this bug on Feisty. The terminal output is:

** (zapping:25430): WARNING **: GConf key '/apps/zapping/plugins/deinterlace/method' is unset and has no default. Schemas incomplete or not installed?

/usr/share/themes/Blubuntu/gtk-2.0/gtkrc:169: Clearlooks configuration option "progressbarstyle" is not supported and will be ignored.

(zapping:25430): Gtk-CRITICAL **: gtk_list_store_get_value: assertion `VALID_ITER (iter, list_store)' failed

(zapping:25430): GLib-GObject-WARNING **: gtype.c:3339: type id `0' is invalid

(zapping:25430): GLib-GObject-WARNING **: can't peek value table for type `<invalid>' which is not currently referenced
Segmentation fault (core dumped)

Here is some more crash output to decipher:root@williamkp-desktop:/home/williamkp# zapping

(zapping:10748): GnomeUI-WARNING **: While connecting to session manager:
Authentication Rejected, reason : None of the authentication protocols specified are supported and host-based authentication failed.

** (zapping:10748): WARNING **: GConf key '/apps/zapping/plugins/deinterlace/method' is unset and has no default. Schemas incomplete or not installed?

(C) 2000-2004 Iñaki G. Etxebarria, Michael H. Schimek.
This program is freely redistributable under the terms
of the GNU General Public License.

Using video device '/dev/video0', display ':0.0', screen 0.
Querying frame buffer parameters from X server.
DMA not possible on screen 0.
Setup failed. Try -vv for details.

(zapping:10748): Gtk-CRITICAL **: gtk_list_store_get_value: assertion `VALID_ITER (iter, list_store)' failed

(zapping:10748): GLib-GObject-WARNING **: gtype.c:3339: type id `0' is invalid

(zapping:10748): GLib-GObject-WARNING **: can't peek value table for type `<invalid>' which is not currently referenced
Segmentation fault (core dumped)
root@williamkp-desktop:/home/williamkp# zapping -vv

(zapping:10801): GnomeUI-WARNING **: While connecting to session manager:
Authentication Rejected, reason : None of the authentication protocols specified are supported and host-based authentication failed.

** (zapping:10801): WARNING **: GConf key '/apps/zapping/plugins/deinterlace/method' is unset and has no default. Schemas incomplete or not installed?

(C) 2000-2004 Iñaki G. Etxebarria, Michael H. Schimek.
This program is freely redistributable under the terms
of the GNU General Public License.

Using video device '/dev/video0', display ':0.0', screen 0.
Querying frame buffer parameters from X server.
DMA not possible on screen 0.
Setup failed. Try -vv for details.

<email address hidden>

Thanks to all who help make programs more workable.

I have tried to compile ce CVS version and it work very well !!! Very nice program !

I want a bugfix please :( just compile ce CVS version and upload the package... it work better than the version included ...

Now I use the CVS version and i have seen no problems yet :) but the installation is not easy :S

I can confirm that Zapping in Feisty still exhibits the bug... but I can also confirm that your home made packages do fix the problem, thanks :-)

jbuc89 (joebrown) wrote :

I downloaded your i386 home made pkg as well and it works great. I think they only thing that doesn't get installed is an icon in the Applications menu. ;-) This is the best and only analog tv viewer that I found for gnome. Did you make any source code changes or was it just a build issue?

Redownload the package and reinstall it, I have added a menu icon to the .desktop file

I have just re packaged it with cdbs and with the last cvs version ...

And it work better ... without any patch ...

Okay sounds great! Should I download it from Synaptic or your download site? I will let you know if it installs okay. Thanks for your efforts. Your last version ran great! I think this is the only analog Gnome TV viewer around. I came across another called GnomeTV but it never left the alpha stage and hasn't been touched since 2000. I also found a couple for KDE but they didn't perform well under Gnome.

Thanks again!

-----Original Message-----
From: Fabien Lusseau <email address hidden>

Date: Fri, 28 Sep 2007 16:18:50
To:<email address hidden>
Subject: [Bug 39845] Re: Zapping TV viewer crash

Redownload the package and reinstall it, I have added a menu icon to the
.desktop file

I have just re packaged it with cdbs and with the last cvs version ...

And it work better ... without any patch ...

--
Zapping TV viewer crash
https://bugs.launchpad.net/bugs/39845
You received this bug notification because you are a direct subscriber
of the bug.

jbuc89 (joebrown) wrote :

Okay, I see it up in Synaptic.

-----Original Message-----
>From: Fabien Lusseau <email address hidden>
>Sent: Sep 28, 2007 12:18 PM
>To: <email address hidden>
>Subject: [Bug 39845] Re: Zapping TV viewer crash
>
>Redownload the package and reinstall it, I have added a menu icon to the
>.desktop file
>
>I have just re packaged it with cdbs and with the last cvs version ...
>
>And it work better ... without any patch ...
>
>--
>Zapping TV viewer crash
>https://bugs.launchpad.net/bugs/39845
>You received this bug notification because you are a direct subscriber
>of the bug.

Yes, you have to uninstall it in synaptic and re download it form my web repository, and reinstall it with gdebi.

The new package have the same name of the older to not have to relink it to a new comment.

jbuc89 (joebrown) wrote :

I actually saw your 0.10xxx CVS version up in the Add/Remove application under the Applications menu. I de-installed it from there and then re-installed the 0.10xxx CVS version that was posted. It exhibited the same problems as before. I went back into Synaptic this time to unload it and it was back the 0.9.6.3 version. Did you take it out of the Synaptic repository? Okay, I will re-download from your website.

jbuc89 (joebrown) wrote :

Although, maybe it was just reading the version number from my locally installed repository. It made it appear to be hosted in the Ubuntu Synaptic repository. Interesting..

jbuc89 (joebrown) wrote :

Thanks Fabien! I have been using your latest build of Zapping for a couple of days now and it works great. Just FYI, the icon is still not installed for the program in the Applications | Sound and Video menu in Feisty Fawn 7.04. Is your version of the build going to be put in the Synaptic repository for future Ubuntu releases? Thanks.

goto (gotolaunchpad) wrote :

Hi Fabien,

can you make a Package where the plugins are included?

Although nice work the CVS Version is working for me. The version before crashed as descriped above.

Greets

your url

http://ppa.launchpad.net/fabien-beosfrance/ubuntu/pool/main/z/zapping/zapping_0.
10cvs6.1-1~fabien26ppa2_i386.deb

is not found on that server.

Please check path and update.

Ubuntu 7.10 usr

AMD 64 single processor using 32 bit Ubuntu

Thanks
 -------------- Original message ----------------------
From: Fabien Lusseau <email address hidden>
> New package created, including plugins, can you check if it work ?
>
> Ubuntu 32 bits:
> http://ppa.launchpad.net/fabien-beosfrance/ubuntu/pool/main/z/zapping/zapping_0.
> 10cvs6.1-1~fabien26ppa2_i386.deb
>
> Ubuntu 64 Bits:
> http://ppa.launchpad.net/fabien-beosfrance/ubuntu/pool/main/z/zapping/zapping_0.
> 10cvs6.1-1~fabien26ppa2_amd64.deb
>
> --
> Zapping TV viewer crash
> https://bugs.launchpad.net/bugs/39845
> You received this bug notification because you are a direct subscriber
> of the bug.

The url is bad in your e-mail but it work on the webpage !

It appears the URL is getting truncated.

Make sure you copy the entire URL provided
(10cvs6.1-1~fabien26ppa2_i386.deb) is part of the URL.

http://ppa.launchpad.net/fabien-beosfrance/ubuntu/pool/main/z/zapping/zappin
g_0.

And add the following line behind the /zapping_0. in your web browser
address bar as it is one continuous URL.

10cvs6.1-1~fabien26ppa2_i386.deb

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
William Pickett
Sent: Tuesday, November 27, 2007 11:16 PM
To: <email address hidden>
Subject: Re: [Bug 39845] Re: Zapping TV viewer crash 2

your url

http://ppa.launchpad.net/fabien-beosfrance/ubuntu/pool/main/z/zapping/zappin
g_0.
10cvs6.1-1~fabien26ppa2_i386.deb

is not found on that server.

Please check path and update.

Ubuntu 7.10 usr

AMD 64 single processor using 32 bit Ubuntu

Thanks
 -------------- Original message ----------------------
From: Fabien Lusseau <email address hidden>
> New package created, including plugins, can you check if it work ?
>
> Ubuntu 32 bits:
>
http://ppa.launchpad.net/fabien-beosfrance/ubuntu/pool/main/z/zapping/zappin
g_0.
> 10cvs6.1-1~fabien26ppa2_i386.deb
>
> Ubuntu 64 Bits:
>
http://ppa.launchpad.net/fabien-beosfrance/ubuntu/pool/main/z/zapping/zappin
g_0.
> 10cvs6.1-1~fabien26ppa2_amd64.deb
>
> --
> Zapping TV viewer crash
> https://bugs.launchpad.net/bugs/39845
> You received this bug notification because you are a direct subscriber
> of the bug.

--
Zapping TV viewer crash
https://bugs.launchpad.net/bugs/39845
You received this bug notification because you are a direct subscriber of
the bug.

I did like you said and no luck- do I need IE6 perhaps? I am currently in Firefox... maybe Swiftweasel or a smaller no frills browser? Your help, is appreciated.

William

 -------------- Original message ----------------------
From: jbuc89 <email address hidden>
> It appears the URL is getting truncated.
>
> Make sure you copy the entire URL provided
> (10cvs6.1-1~fabien26ppa2_i386.deb) is part of the URL.
>
>
> http://ppa.launchpad.net/fabien-beosfrance/ubuntu/pool/main/z/zapping/zappin
> g_0.
>
> And add the following line behind the /zapping_0. in your web browser
> address bar as it is one continuous URL.
>
> 10cvs6.1-1~fabien26ppa2_i386.deb
>
>
> -----Original Message-----
> From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
> William Pickett
> Sent: Tuesday, November 27, 2007 11:16 PM
> To: <email address hidden>
> Subject: Re: [Bug 39845] Re: Zapping TV viewer crash 2
>
> your url
>
> http://ppa.launchpad.net/fabien-beosfrance/ubuntu/pool/main/z/zapping/zappin
> g_0.
> 10cvs6.1-1~fabien26ppa2_i386.deb
>
>
> is not found on that server.
>
> Please check path and update.
>
>
> Ubuntu 7.10 usr
>
>
> AMD 64 single processor using 32 bit Ubuntu
>
>
> Thanks
> -------------- Original message ----------------------
> From: Fabien Lusseau <email address hidden>
> > New package created, including plugins, can you check if it work ?
> >
> > Ubuntu 32 bits:
> >
> http://ppa.launchpad.net/fabien-beosfrance/ubuntu/pool/main/z/zapping/zappin
> g_0.
> > 10cvs6.1-1~fabien26ppa2_i386.deb
> >
> > Ubuntu 64 Bits:
> >
> http://ppa.launchpad.net/fabien-beosfrance/ubuntu/pool/main/z/zapping/zappin
> g_0.
> > 10cvs6.1-1~fabien26ppa2_amd64.deb
> >
> > --
> > Zapping TV viewer crash
> > https://bugs.launchpad.net/bugs/39845
> > You received this bug notification because you are a direct subscriber
> > of the bug.
>
> --
> Zapping TV viewer crash
> https://bugs.launchpad.net/bugs/39845
> You received this bug notification because you are a direct subscriber of
> the bug.
>
> --
> Zapping TV viewer crash
> https://bugs.launchpad.net/bugs/39845
> You received this bug notification because you are a direct subscriber
> of the bug.

description: updated
Daniel T Chen (crimsun) wrote :

Fixed in 8.10 alpha.

Changed in zapping:
status: Confirmed → Fix Released
mehturt (mehturt) wrote :

zapping crashes right after start, using version 0.10~cvs6-2ubuntu3 on Ubuntu 9.10

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers